curl --request GET \
--url https://test.deribit.com/api/v2/private/enable_api_key \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 8580,
"method": "private/enable_api_key",
"params": {
"id": 3
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/enable_api_key"
payload = {
"jsonrpc": "2.0",
"id": 8580,
"method": "private/enable_api_key",
"params": { "id": 3 }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', id: 8580, method: 'private/enable_api_key', params: {id: 3}})
};
fetch('https://test.deribit.com/api/v2/private/enable_api_key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 2453,
"result": {
"timestamp": 1560242482758,
"max_scope": "account:read_write block_trade:read trade:read_write wallet:read_write",
"id": 3,
"enabled": true,
"default": false,
"client_secret": "B6RsF9rrLY5ezEGBQkyLlV-UC7whyPJ34BMA-kKYpes",
"client_id": "1sXMQBhM",
"name": "NewKeyName"
}
}private/enable_api_key
Enables a previously disabled API key, restoring its ability to authenticate API requests. The API key can be used immediately after being enabled.
📖 Related Article: Creating new API key on Deribit
Scope: account:read_write
Query Parameters
API key ID
1
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Key identifier
1
The timestamp (milliseconds since the Unix epoch)
1536569522277
Client identifier used for authentication
"IY2D68DS"
Client secret or MD5 fingerprint of public key used for authentication
"P9Z_c73KaBPwpoTVfsXzehAhjhdJn5kM7Zlz_hhDhE8"
Describes maximal access for tokens generated with given key. If scope is not provided, its value is set as none.
📖 Related Article: Access Scope
[
"account:read",
"trade:read",
"block_trade:read_write",
"wallet:none"
]Informs whether this api key is default (field is deprecated and will be removed in the future)
false
PEM encoded public key (Ed25519/RSA) used for asymmetric signatures (optional)
"-----BEGIN PUBLIC KEY----- MCowBQYDK2VwAyEApajFN0CSwIaaiIRPiFbiYYvpsLQLSccSLLsKPe984sc= -----END PUBLIC KEY-----"
Informs whether api key is enabled and can be used for authentication
true
Api key name that can be displayed in transaction log
"TestName"
List of enabled advanced on-key features.
Available options:
- restricted_block_trades: Limit the block_trade read the scope of the API key to block trades that have been made using this specific API key
- block_trade_approval: Block trades created using this API key require additional user approval. Methods that use block_rfq scope are not affected by Block Trade approval feature
List of IP addresses whitelisted for a selected key
The id that was sent in the request
Was this page helpful?